## ilorest 3.6.0.0

=== Makefile ===
TOPDIR:=$(shell pwd)/topdir
BUILD_DIR := $(shell pwd)/.blddir
SRCROOT := $(shell pwd)
CHROOT_LOCAL_DIR:= $(shell pwd)

NAME:=ilorest
VERSION:=2.4.0
RELEASE:=1
SPHINXBUILD:=$(BUILD_DIR)/pylib/Sphinx-1.0.7/sphinx-build.py
BLOFLY := /net
#CREATE_CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/create_chroot.sh
CREATE_CHROOT := $(CHROOT_LOCAL_DIR)/chrootbuilder/create_chroot.sh
#CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/muchroot
CHROOT := $(CHROOT_LOCAL_DIR)/chrootbuilder/tools/muchroot
UNAME_SPOOF := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/uname_spoof
export CHROOT_DESTDIR=/home

ifdef MTX_PRODUCT_VERSION
  VERSION:=$(MTX_PRODUCT_VERSION)
endif


ifdef MTX_BUILD_NUMBER
  RELEASE:=$(MTX_BUILD_NUMBER)
endif


all: rpm

export PYTHONPATH=$(BUILD_DIR)/pylib/docutils-0.16:$(BUILD_DIR)/pylib/roman-3.3/src:$(BUILD_DIR)/pylib/Jinja2-2.11.2:$(BUILD_DIR)/pylib/Sphinx-1.0.7
# export http_proxy=proxy.houston.hp.com:8080
tbz:
	rm -rf $(BUILD_DIR)/pylib
	mkdir -p $(BUILD_DIR)/pylib
	tar xfz $(SRCROOT)/packaging/packages/roman/roman-3.3.tar.gz -C $(BUILD_DIR)/pylib
	tar xfz $(SRCROOT)/packaging/packages/sphinx/Sphinx-1.0.7.tar.gz -C $(BUILD_DIR)/pylib
	tar xfz $(SRCROOT)/packaging/packages/docutils/docutils-0.16.tar.gz -C $(BUILD_DIR)/pylib
	tar xfz $(SRCROOT)/packaging/packages/jinja/Jinja2-2.11.2.tar.gz -C $(BUILD_DIR)/pylib

	rm -rf "$(NAME)-$(VERSION)"
	rm -f  "$(NAME)-$(VERSION).tar.bz2"
	mkdir -p "$(NAME)-$(VERSION)"
	tar --exclude=$(NAME)-$(VERSION) \
            --exclude=.svn --exclude=*.pyc --exclude=rdmc-pyinstaller*.spec --exclude=./Makefile -cf - * |\
            ( tar -C $(NAME)-$(VERSION) -xf -)
	sed -e "s/\%VERSION\%/$(VERSION)/g"  -e "s/\%RELEASE\%/$(RELEASE)/g"\
            rdmc.spec.in > "$(NAME)-$(VERSION)/rdmc.spec"
	sed -i -e "s/\%VERSION\%/$(VERSION)/g" -e "s/\%RELEASE\%/$(RELEASE)/g" \
            docs/sphinx/conf.py

	#make -C "$(NAME)-$(VERSION)/docs/sphinx" man  SPHINXBUILD=$(SPHINXBUILD)
	#gzip -c "$(NAME)-$(VERSION)/docs/sphinx/_build/man/ilorest.8" > "$(NAME)-$(VERSION)/docs/sphinx/_build/man/ilorest.8.gz"

	rm -rf "$(NAME)-$(VERSION)/Sphinx-1.0.7"
	rm -rf "$(NAME)-$(VERSION)/docutils-0.16"
	rm -rf "$(NAME)-$(VERSION)/Jinja2-2.11.2"
	rm -rf "$(NAME)-$(VERSION)/scexe_src/scexe.spec"
	cp -r $(MTX_STAGING_PATH)/externals "$(NAME)-$(VERSION)"
	tar cfj "$(NAME)-$(VERSION).tar.bz2" "$(NAME)-$(VERSION)"
	rm -rf "$(NAME)-$(VERSION)"

rpmprep:
	rm -rf $(TOPDIR)
	mkdir -p $(TOPDIR)
	cd $(TOPDIR) && mkdir -p BUILD RPMS SOURCES SPECS SRPMS

rdmc.spec: rdmc.spec.in
	sed -e "s/\%VERSION\%/$(VERSION)/g" -e "s/\%RELEASE\%/$(RELEASE)/g" \
	   $< > $(TOPDIR)/SPECS/$@

rpm: rpmprep tbz rdmc.spec
	cp "$(NAME)-$(VERSION).tar.bz2" $(TOPDIR)/SOURCES/
	rpmbuild -ba --define '_topdir $(TOPDIR)' $(TOPDIR)/SPECS/rdmc.spec

clean:
	rm -f "$(NAME)-$(VERSION).tar.bz2"
	rm -rf topdir .blddir


DEBCHROOTD := $(BUILD_DIR)/chroots/squeeze

rpm-freeze: freeze-src tbz rpms

rpms:
	$(call freeze-chroot,x86_64)
	#$(CHROOT) $(DEBCHROOTD) yum install -y which
	#$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install util-linux

	$(CHROOT) $(DEBCHROOTD) bash -c 'useradd -m monkey'
	cp "$(NAME)-$(VERSION).tar.bz2" $(DEBCHROOTD)/home/monkey
	$(CHROOT) $(DEBCHROOTD) bash -c 'su - monkey -c "mkdir -p ~/build && cd ~/build && mkdir -p BUILD RPMS SOURCES SPECS SRPMS"'
	echo "export LDFLAGS=-L/usr/local/ssl/lib/" > $(DEBCHROOTD)/home/monkey/c.sh
	echo "export SL_INSTALL_PATH=/usr/local/ssl" >> $(DEBCHROOTD)/home/monkey/c.sh
	echo "export OPENSSL_FIPS=1" >> $(DEBCHROOTD)/home/monkey/c.sh
	echo "export LD_LIBRARY_PATH=/usr/local/ssl/lib/" >> $(DEBCHROOTD)/home/monkey/c.sh
	echo "export CPPFLAGS=-I/usr/local/ssl/include/ -I/usr/local/ssl/include/openssl/" >> $(DEBCHROOTD)/home/monkey/c.sh
	echo "rpmbuild -ta --define '_topdir /home/monkey/build/' /home/monkey/$(NAME)-$(VERSION).tar.bz2 " >> $(DEBCHROOTD)/home/monkey/c.sh
	$(CHROOT) $(DEBCHROOTD) bash -c 'chmod a+x /home/monkey/c.sh'
	$(CHROOT) $(DEBCHROOTD) bash -c 'su - monkey -c "/home/monkey/c.sh"'
	cp -r $(DEBCHROOTD)/home/monkey/build/RPMS/ .

	-find ./RPMS -type f -name '*-debuginfo-*.rpm' -exec rm -f {} \;
	-find ./RPMS -type d -empty -exec rmdir {} \;

ifdef MTX_COLLECTION_PATH
	cp -r ./RPMS $(MTX_COLLECTION_PATH)/
	# hpsign will error out if signing not successful
	hpsign --signonly `find /opt/mxdk/buildagent/work/MTX_COLLECTION_PATH -type f -name '*.rpm'`
endif


freeze-src:
	rm -rf hp
	git clone git@github.hpe.com:ess-morpheus/chrootbuilder.git $(CHROOT_LOCAL_DIR)/chrootbuilder


define freeze-bin
	$(call freeze-src,$1)
	$(CHROOT) $1 bash -c 'cd /$(NAME)-$(VERSION) && /opt/python3.8/bin/python3.8 setup.py build'
	bash ./scexe_src/scexe -o $(NAME) -i $(NAME) $1/$(NAME)-$(VERSION)/build/exe.linux-x86_64*/*
endef

define freeze-chroot
	rm -rf $(BUILD_DIR)/chroots
	# create the chroot

	$(CREATE_CHROOT) -d SLES12SP2 -a $1 -D $(DEBCHROOTD)

	#import keys
	cp -r $(CHROOT_LOCAL_DIR)/chrootbuilder/public_keys $(DEBCHROOTD)/
	$(CHROOT) $(DEBCHROOTD) mkdir -p /usr/lib/rpm/gnupg/
	#$(CHROOT) $(DEBCHROOTD) bash -c 'gpg --import /public_keys/*.asc'

	$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install zlib-devel libffi-devel openssl
	$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install libxml2-devel libxslt-devel ncurses-devel expat sqlite3-devel readline-devel bzip2
	$(CHROOT) $(DEBCHROOTD) openssl version
	$(CHROOT) $(DEBCHROOTD) bash -c 'export LC_ALL=en_US.UTF-8'
	$(CHROOT) $(DEBCHROOTD) bash -c 'export PYTHONIOENCODING=UTF-8'

	tar -xvf $(SRCROOT)/packaging/python3/openssl-1.0.2y.tar.gz -C $(DEBCHROOTD)
	tar -xvf $(SRCROOT)/packaging/python3/openssl-fips-2.0.16.tar.gz -C $(DEBCHROOTD)

	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-fips-2.0.16 && ./config && make && make install && cd ..'
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-1.0.2y && ./config fips shared --with-fipsdir=/usr/local/ssl/fips-2.0 -m64 -Wa,--noexecstack threads no-idea no-mdc2 no-rc5 no-krb5 no-ssl2 no-ssl3 enable-asm enable-camellia enable-seed enable-tlsext enable-rfc3779 enable-cms && make depend && make install'
	$(CHROOT) $(DEBCHROOTD) /usr/local/ssl/bin/./openssl version

	$(CHROOT) $(DEBCHROOTD) ln -s -f /usr/local/ssl/bin/openssl /usr/bin/openssl
	$(CHROOT) $(DEBCHROOTD) openssl version

	#$(CHROOT) $(DEBCHROOTD) mv /usr/lib64/libcrypto.so.1.1 /usr/lib64/old_libcrypto.so.1.1
	#$(CHROOT) $(DEBCHROOTD) mv /usr/lib64/libssl.so.1.1 /usr/lib64/old_libssl.so.1.1

	$(CHROOT) $(DEBCHROOTD) cp /usr/local/ssl/lib/libcrypto.so.1.0.0 /usr/lib64/ && \
	$(CHROOT) $(DEBCHROOTD) cp /usr/local/ssl/lib/libssl.so.1.0.0 /usr/lib64/

	tar xf $(SRCROOT)/packaging/python3/Python-3.8.6.tgz -C $(DEBCHROOTD)

	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /Python-3.8.6 && ./configure --prefix=/usr/local/python3.8 --enable-shared --with-openssl=/usr/local/ssl/'

	$(CHROOT) $(DEBCHROOTD) make -C /Python-3.8.6
	$(CHROOT) $(DEBCHROOTD) make -C /Python-3.8.6 install

	$(CHROOT) $(DEBCHROOTD) cp /usr/local/python3.8/lib/libpython3.8.so.1.0 /usr/lib64/
	$(CHROOT) $(DEBCHROOTD) cp /usr/local/python3.8/lib/libpython3.8.so.1.0 /lib64/

	#Added external packages
	$(CHROOT) $(DEBCHROOTD) bash -c '/usr/local/python3.8/bin/python3.8 -m ensurepip --upgrade'

	tar xfz $(SRCROOT)/packaging/ext/setuptools-59.1.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /setuptools-59.1.0 && /usr/local/python3.8/bin/python3.8 setup.py install'
	#unzip $(SRCROOT)/packaging/ext/setuptools-59.1.0.zip -d $(DEBCHROOTD)
	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /setuptools-50.3.2 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/pyinstaller-hooks-contrib-2021.3.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyinstaller-hooks-contrib-2021.3 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/python-dotenv-0.19.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /python-dotenv-0.19.2 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/altgraph-0.17.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /altgraph-0.17.2 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/pyinstaller/PyInstaller-3.6.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /PyInstaller-3.6 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsonpointer-2.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpointer-2.2 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/six-1.16.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /six-1.16.0 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/ply-3.11.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /ply-3.11 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/decorator-5.1.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /decorator-5.1.0 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsonpatch-1.32.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpatch-1.32 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsonpath-rw-1.4.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpath-rw-1.4.0 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/setproctitle-1.2.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /setproctitle-1.2.2 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/pyudev-0.22.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyudev-0.22.0 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/jsondiff-1.3.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsondiff-1.3.0 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/pyaes-1.6.1.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyaes-1.6.1 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/urllib3-1.26.7.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /urllib3-1.26.7 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/colorama-0.4.4.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'export LC_ALL=en_US.UTF-8 && cd /colorama-0.4.4 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/tabulate-0.8.9.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /tabulate-0.8.9 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/wcwidth-0.2.5.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /wcwidth-0.2.5 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/prompt_toolkit-2.0.10.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /prompt_toolkit-2.0.10 && /usr/local/python3.8/bin/python3.8 setup.py install'

	tar xfz $(SRCROOT)/packaging/ext/certifi-2021.10.8.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /certifi-2021.10.8 && /usr/local/python3.8/bin/python3.8 setup.py install'

	cp -r $(MTX_STAGING_PATH)/externals/*.zip packaging/ext
	unzip packaging/ext/python-ilorest-library-$(MX_ILOREST_LIB_VERSION).zip -d $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /python-ilorest-library-$(MX_ILOREST_LIB_VERSION) && /usr/local/python3.8/bin/python3.8 setup.py install'
endef

freeze: freeze-x86_64

freeze-x86_64: export OPENSSL_ROOT=/usr/local/ssl/
freeze-x86_64:
	$(call freeze-chroot,x86_64)
	$(call freeze-bin,$(DEBCHROOTD))

ifdef MTX_COLLECTION_PATH
	mkdir -p ${MTX_COLLECTION_PATH}/x86_64
	mv ./$(NAME) ${MTX_COLLECTION_PATH}/x86_64
endif

freeze-i386:

=== requirements.txt ===
urllib3 >= 1.26.2
pyaes >= 1.6.1
colorama >= 0.4.4
jsonpointer >= 2.0
six >= 1.15.0
ply >= 3.11
decorator >= 4.4.2
jsonpatch >= 1.28
jsonpath-rw >= 1.4.0
setproctitle >= 1.1.8; platform_system == "Linux"
jsondiff >= 1.2.0
tabulate >= 0.8.7
prompt_toolkit >= 3.0.10
certifi >= 2020.12.5
pywin32 >= 300; platform_system == "Windows"
wcwidth >= 0.2.5

=== docs/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = /usr/bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HPPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HPPy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/HPPy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/HPPy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## ilorest 3.3.0.0+ds2

=== debian/changelog ===
ilorest (3.3.0.0+ds2-1) unstable; urgency=medium

  * New upstream release (ie: fixed git merge):
    - Fix Git merge conflict markers (Closes: #1004397).
  * Fix depends.
  * Fix wrong VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jan 2022 09:30:29 +0100

ilorest (3.3.0.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jan 2022 14:23:29 +0100

ilorest (3.2.2+ds1-3) unstable; urgency=medium

  * Add missing build-depends on python3-pbr (Closes: #1003870).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jan 2022 13:47:35 +0100

ilorest (3.2.2+ds1-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 12:13:18 +0200

ilorest (3.2.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #994244)

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Sep 2021 10:23:17 +0200

=== debian/control ===
Source: ilorest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all-dev,
 python3-hypothesis,
 python3-pbr,
 python3-pyperform,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-certifi (>= 2020.6.20),
 python3-colorama (>= 0.3.9),
 python3-decorator,
 python3-ilorest (>= 3.2.2),
 python3-json-pointer,
 python3-jsondiff (>= 1.2.0),
 python3-jsonpatch (>= 1.28),
 python3-jsonpath-rw,
 python3-ply,
 python3-prompt-toolkit (>= 2.0.8),
 python3-setproctitle,
 python3-six,
 python3-tabulate,
 python3-urllib3,
 python3-wcwidth (>= 0.2.5),
 yui-compressor,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ilorest
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ilorest.git
Homepage: https://github.com/HewlettPackard/python-redfish-utility

Package: ilorest
Architecture: all
Depends:
 python3-certifi (>= 2020.6.20),
 python3-colorama (>= 0.3.9),
 python3-decorator,
 python3-ilorest (>= 3.2.2),
 python3-json-pointer,
 python3-jsondiff,
 python3-jsonpatch,
 python3-jsonpath-rw,
 python3-pbr,
 python3-ply,
 python3-prompt-toolkit (>= 2.0.8),
 python3-setproctitle,
 python3-setuptools,
 python3-six,
 python3-tabulate,
 python3-urllib3,
 python3-wcwidth (>= 0.2.5),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: cli for managing servers over the Redfish API
 The Redfish Utility is a command line interface that allows one to manage
 servers that take advantage of Redfish APIs. In addition to using the utility
 manually to execute individual commands, you can create scripts to automate
 tasks.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/HewlettPackard/python-redfish-utility
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build build $(CURDIR)/ilorest/config/__init__.py

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	touch $(CURDIR)/ilorest/config/__init__.py
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
#	pkgos-dh_auto_test --no-py2 'openstackclient\.tests\.(?!(.*test_shell\.TestShellCli\.test_shell_args_precedence.*|.*test_shell\.TestShellCliEnv\.test_shell_args_precedence_.*))'
endif

override_dh_auto_test:
	echo "Tests to be done after install..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	yui-compressor $(CURDIR)/debian/imagesloaded.js -o $(CURDIR)/docs/slate/source/javascripts/lib/_imagesloaded.min.js
	PYTHONPATH=. python3 -m sphinx -b html docs/sphinx $(CURDIR)/debian/ilorest/usr/share/doc/ilorest/html
	dh_sphinxdoc
endif

## ilorest 3.5.1.0+ds3

=== debian/changelog ===
ilorest (3.5.1.0+ds3-1) unstable; urgency=medium

  * New upstream release.
  * (build-)depends on python3-ilorest >= 3.5.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Aug 2022 10:21:46 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-certifi (>= 2020.6.20),
  python3-colorama (>= 0.3.9),
  python3-decorator,
- python3-ilorest (>= 3.2.2),
+ python3-ilorest (>= 3.5.1),
  python3-json-pointer,
  python3-jsondiff (>= 1.2.0),
  python3-jsonpatch (>= 1.28),
@@ -44,7 +44,7 @@
  python3-certifi (>= 2020.6.20),
  python3-colorama (>= 0.3.9),
  python3-decorator,
- python3-ilorest (>= 3.2.2),
+ python3-ilorest (>= 3.5.1),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,

## ilorest 3.6.0.0

=== debian/changelog ===
ilorest (3.6.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047908).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:17:53 +0200

ilorest (3.6.0.0-2) unstable; urgency=medium

  * Add missing python3-pyudev runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 11:56:00 +0100

ilorest (3.6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream applied my import patch, so not using -ds* anymore.
  * Add add-setup.py.patch.
  * Symlink the src folder as ilorest to avoid rename.
  * (build-)depends on ilorest >= 3.6.0.0.
  * Fix pyproject.toml (Closes: #1022314).
  * Add fix-rdmc.py.patch.
  * Add fix-import-path.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Nov 2022 09:27:32 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-certifi (>= 2020.6.20),
  python3-colorama (>= 0.3.9),
  python3-decorator,
- python3-ilorest (>= 3.5.1),
+ python3-ilorest (>= 3.6.0.0),
  python3-json-pointer,
  python3-jsondiff (>= 1.2.0),
  python3-jsonpatch (>= 1.28),
@@ -44,7 +44,7 @@
  python3-certifi (>= 2020.6.20),
  python3-colorama (>= 0.3.9),
  python3-decorator,
- python3-ilorest (>= 3.5.1),
+ python3-ilorest (>= 3.6.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
@@ -52,6 +52,7 @@
  python3-pbr,
  python3-ply,
  python3-prompt-toolkit (>= 2.0.8),
+ python3-pyudev,
  python3-setproctitle,
  python3-setuptools,
  python3-six,

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 	dh $@ --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf doc/build build $(CURDIR)/ilorest/config/__init__.py
+	rm -f ilorest
+	rm -rf build .stestr doc/build build $(CURDIR)/ilorest/config/__init__.py *.egg-info
+	cp debian/_imagesloaded.min.js docs/slate/source/javascripts/lib
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	touch $(CURDIR)/ilorest/config/__init__.py
+	if ! [ -e ilorest ] ; then ln -s src ilorest ; fi
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## ilorest 5.2.0.0

=== Makefile ===
TOPDIR:=$(shell pwd)/topdir
BUILD_DIR := $(shell pwd)/.blddir
SRCROOT := $(shell pwd)
CHROOT_LOCAL_DIR:= $(shell pwd)

NAME:=ilorest
VERSION:=2.4.0
RELEASE:=1
#SPHINXBUILD:=$(BUILD_DIR)/pylib/Sphinx-1.0.7/sphinx-build.py
BLOFLY := /net
#CREATE_CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/create_chroot.sh
CREATE_CHROOT := $(CHROOT_LOCAL_DIR)/chrootbuilder/create_chroot.sh
#CHROOT := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/muchroot
CHROOT := $(CHROOT_LOCAL_DIR)/chrootbuilder/tools/muchroot
UNAME_SPOOF := /net/blofly.us.rdlabs.hpecorp.net/data/blofly/iss-linux-sdk/chrootbuilder/tools/uname_spoof
export CHROOT_DESTDIR=/home

ifdef MTX_PRODUCT_VERSION
  VERSION:=$(MTX_PRODUCT_VERSION)
endif


ifdef MTX_BUILD_NUMBER
  RELEASE:=$(MTX_BUILD_NUMBER)
endif


all: rpm

export PYTHONPATH=$(BUILD_DIR)/pylib/docutils-0.16:$(BUILD_DIR)/pylib/roman-3.3/src:$(BUILD_DIR)/pylib/Jinja2-2.11.2:$(BUILD_DIR)/pylib/Sphinx-1.0.7
# export http_proxy=proxy.houston.hp.com:8080
tbz:
	#rm -rf $(BUILD_DIR)/pylib
	#mkdir -p $(BUILD_DIR)/pylib
	#tar xfz $(SRCROOT)/packaging/packages/roman/roman-3.3.tar.gz -C $(BUILD_DIR)/pylib
	#tar xfz $(SRCROOT)/packaging/packages/sphinx/Sphinx-1.0.7.tar.gz -C $(BUILD_DIR)/pylib
	#tar xfz $(SRCROOT)/packaging/packages/docutils/docutils-0.16.tar.gz -C $(BUILD_DIR)/pylib
	#tar xfz $(SRCROOT)/packaging/packages/jinja/Jinja2-2.11.2.tar.gz -C $(BUILD_DIR)/pylib

	rm -rf "$(NAME)-$(VERSION)"
	rm -f  "$(NAME)-$(VERSION).tar.bz2"
	mkdir -p "$(NAME)-$(VERSION)"
	tar --exclude=$(NAME)-$(VERSION) \
            --exclude=.svn --exclude=*.pyc --exclude=rdmc-pyinstaller*.spec --exclude=./Makefile -cf - * |\
            ( tar -C $(NAME)-$(VERSION) -xf -)
	sed -e "s/\%VERSION\%/$(VERSION)/g"  -e "s/\%RELEASE\%/$(RELEASE)/g"\
            rdmc.spec.in > "$(NAME)-$(VERSION)/rdmc.spec"
	#sed -i -e "s/\%VERSION\%/$(VERSION)/g" -e "s/\%RELEASE\%/$(RELEASE)/g" docs/sphinx/conf.py

	#make -C "$(NAME)-$(VERSION)/docs/sphinx" man  SPHINXBUILD=$(SPHINXBUILD)
	#gzip -c "$(NAME)-$(VERSION)/docs/sphinx/_build/man/ilorest.8" > "$(NAME)-$(VERSION)/docs/sphinx/_build/man/ilorest.8.gz"

	#rm -rf "$(NAME)-$(VERSION)/Sphinx-1.0.7"
	#rm -rf "$(NAME)-$(VERSION)/docutils-0.16"
	#rm -rf "$(NAME)-$(VERSION)/Jinja2-2.11.2"
	#rm -rf "$(NAME)-$(VERSION)/scexe_src/scexe.spec"
	cp -r $(MTX_STAGING_PATH)/externals "$(NAME)-$(VERSION)"
	tar cfj "$(NAME)-$(VERSION).tar.bz2" "$(NAME)-$(VERSION)"
	rm -rf "$(NAME)-$(VERSION)"

rpmprep:
	rm -rf $(TOPDIR)
	mkdir -p $(TOPDIR)
	cd $(TOPDIR) && mkdir -p BUILD RPMS SOURCES SPECS SRPMS

rdmc.spec: rdmc.spec.in
	sed -e "s/\%VERSION\%/$(VERSION)/g" -e "s/\%RELEASE\%/$(RELEASE)/g" \
	   $< > $(TOPDIR)/SPECS/$@

rpm: rpmprep tbz rdmc.spec
	cp "$(NAME)-$(VERSION).tar.bz2" $(TOPDIR)/SOURCES/
	rpmbuild -ba --define '_topdir $(TOPDIR)' $(TOPDIR)/SPECS/rdmc.spec

clean:
	rm -f "$(NAME)-$(VERSION).tar.bz2"
	rm -rf topdir .blddir


DEBCHROOTD := $(BUILD_DIR)/chroots/squeeze

rpm-freeze: freeze-src tbz rpms

rpms:
	$(call freeze-chroot,$(MX_ARCH))

	$(CHROOT) $(DEBCHROOTD) bash -c 'useradd -m monkey'
	cp "$(NAME)-$(VERSION).tar.bz2" $(DEBCHROOTD)/home/monkey
	$(CHROOT) $(DEBCHROOTD) bash -c 'su - monkey -c "mkdir -p ~/build && cd ~/build && mkdir -p BUILD RPMS SOURCES SPECS SRPMS"'
	echo "%_binary_filedigest_algorithm 8" > $(DEBCHROOTD)/home/monkey/.rpmmacros
	echo "%_source_filedigest_algorithm 8" >> $(DEBCHROOTD)/home/monkey/.rpmmacros
	echo "%__gpg_sign_cmd %{__gpg} gpg --force-v3-sigs --batch --verbose --no-armor --passphrase-fd 3 --no-secmem-warning -u %{_gpg_name} -sbo %{__signature_filename} --digest-algo sha256 %{__plaintext_filename}" >> $(DEBCHROOTD)/home/monkey/.rpmmacros
	echo "rpmbuild -ta --define '_topdir /home/monkey/build/' /home/monkey/$(NAME)-$(VERSION).tar.bz2 " >> $(DEBCHROOTD)/home/monkey/c.sh
	$(CHROOT) $(DEBCHROOTD) bash -c 'chmod a+x /home/monkey/c.sh'
	$(CHROOT) $(DEBCHROOTD) bash -c 'su - monkey -c "/home/monkey/c.sh"'
	cp -r $(DEBCHROOTD)/home/monkey/build/RPMS/ .

	-find ./RPMS -type f -name '*-debuginfo-*.rpm' -exec rm -f {} \;
	-find ./RPMS -type d -empty -exec rmdir {} \;

ifdef MTX_COLLECTION_PATH
	cp -r ./RPMS $(MTX_COLLECTION_PATH)/
	# hpesign will error out if signing not successful
	hpesign --project SDR_RPM_2048 --signonly `find /opt/mxdk/buildagent/work/MTX_COLLECTION_PATH -type f -name '*.rpm'`
	#hpesign --signonly `find /opt/mxdk/buildagent/work/MTX_COLLECTION_PATH -type f -name '*.rpm'`
endif


freeze-src:
	rm -rf hp
	git clone git@github.hpe.com:ess-morpheus/chrootbuilder.git $(CHROOT_LOCAL_DIR)/chrootbuilder


define freeze-bin
	$(call freeze-src,$1)
	$(CHROOT) $1 bash -c 'cd /$(NAME)-$(VERSION) && /opt/python3.8/bin/python3.8 setup.py build'
	bash ./scexe_src/scexe -o $(NAME) -i $(NAME) $1/$(NAME)-$(VERSION)/build/exe.linux-x86_64*/*
endef

define freeze-chroot
	rm -rf $(BUILD_DIR)/chroots
	# create the chroot
	$(CREATE_CHROOT) -d SLES12SP2 -a $1 -D $(DEBCHROOTD)

	#import keys
	cp -r $(CHROOT_LOCAL_DIR)/chrootbuilder/public_keys $(DEBCHROOTD)/
	$(CHROOT) $(DEBCHROOTD) mkdir -p /usr/lib/rpm/gnupg/
	#$(CHROOT) $(DEBCHROOTD) bash -c 'gpg --import /public_keys/*.asc'

	# CENTOS/RHEL
	#$(CHROOT) $(DEBCHROOTD) dnf group install -y "Development Tools"
	#$(CHROOT) $(DEBCHROOTD) dnf install -y gcc uuid zlib-devel bzip2 libxml2-devel libxslt-devel ncurses-devel expat-devel sqlite sqlite-devel openssl-devel readline-devel bzip2-devel xz-devel tk-devel libffi-devel
	#$(CHROOT) $(DEBCHROOTD) dnf install -y perl-Text-Template perl-IPC-Cmd perl-Test-Harness perl-Pod-Html perl-Digest-SHA cpan

	# SUSE
	#$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install -t pattern devel_C_C++
	$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install libgcrypt-devel glib2-devel xz-devel tk-devel zlib-devel libxml2-devel libxslt-devel ncurses-devel sqlite3-devel readline-devel libffi-devel openssl bzip2
	#$(CHROOT) $(DEBCHROOTD) zypper --non-interactive install perl-Text-Template perl-IPC-Cmd perl-Test-Harness perl-Pod-Html perl-Digest-SHA cpan

	#tar -xvf $(SRCROOT)/packaging/python3/openssl-3.0.2.tar.gz -C $(DEBCHROOTD)
	tar -xvf $(SRCROOT)/packaging/python3/openssl-1.0.2zf.tar.gz -C $(DEBCHROOTD)
	tar -xvf $(SRCROOT)/packaging/python3/openssl-fips-2.0.16.tar.gz -C $(DEBCHROOTD)

	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-fips-2.0.16 && ./config && make all && make install && cd ..'
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-1.0.2zf && ./config fips shared --with-fipsdir=/usr/local/ssl/fips-2.0 --prefix=/usr/local/openssl1.0 --openssldir=/usr/local/openssl1.0 -m64 -Wa,--noexecstack threads no-idea no-mdc2 no-rc5 no-krb5 no-ssl2 no-ssl3 enable-asm enable-camellia enable-seed enable-tlsext enable-rfc3779 enable-cms && make depend && make install'
	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /openssl-openssl-3.0.2 && ./Configure --prefix=/usr/local/openssl3.0 --openssldir=/usr/local/openssl3.0 enable-fips && make && make install'
	echo "/usr/local/openssl1.0/lib" > $(DEBCHROOTD)/etc/ld.so.conf.d/openssl1.0.conf
	#echo "/usr/local/openssl3.0/lib64" > $(DEBCHROOTD)/etc/ld.so.conf.d/openssl3.0.conf
	$(CHROOT) $(DEBCHROOTD) bash -c 'ldconfig'
	$(CHROOT) $(DEBCHROOTD) /usr/local/openssl1.0/bin/openssl version
	#$(CHROOT) $(DEBCHROOTD) /usr/local/openssl3.0/bin/openssl version

	tar xf $(SRCROOT)/packaging/python3/Python-3.8.6.tgz -C $(DEBCHROOTD)
	#tar xf $(SRCROOT)/packaging/python3/Python-3.10.4.tgz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /Python-3.8.6 && ./configure --prefix=/usr/local/python3.8 --enable-shared --with-openssl=/usr/local/openssl1.0/ --with-ssl'
	#$(CHROOT) $(DEBCHROOTD) bash -c 'cd /Python-3.10.4 && ./configure --prefix=/usr/local/python3.10 --enable-shared --with-openssl=/usr/local/openssl3.0/ --with-ssl --enable-optimizations'
	#$(CHROOT) $(DEBCHROOTD) make -C /Python-3.10.4
	#$(CHROOT) $(DEBCHROOTD) make -C /Python-3.10.4 altinstall
	#echo "/usr/local/python3.10/lib" > $(DEBCHROOTD)/etc/ld.so.conf.d/python3.10.conf
	#$(CHROOT) $(DEBCHROOTD) bash -c 'ldconfig'
	#$(CHROOT) $(DEBCHROOTD) bash -c '/usr/local/python3.10/bin/python3.10 --version'
	$(CHROOT) $(DEBCHROOTD) make -C /Python-3.8.6
	$(CHROOT) $(DEBCHROOTD) make -C /Python-3.8.6 install
	echo "/usr/local/python3.8/lib" > $(DEBCHROOTD)/etc/ld.so.conf.d/python3.8.conf
	$(CHROOT) $(DEBCHROOTD) bash -c 'ldconfig'
	$(CHROOT) $(DEBCHROOTD) bash -c '/usr/local/python3.8/bin/python3.8 --version'

	#Added external packages
	$(CHROOT) $(DEBCHROOTD) bash -c '/usr/local/python3.8/bin/python3.8 -m ensurepip --upgrade'

	#Package                   Version
	#------------------------- ---------
	#altgraph                  0.17.2
	#certifi                   2021.10.8
	#colorama                  0.4.4
	#decorator                 5.1.1
	#jsondiff                  1.3.1
	#jsonpatch                 1.32
	#jsonpath-rw               1.4.0
	#jsonpointer               2.2
	#pip                       22.0.4
	#ply                       3.11
	#prompt-toolkit            3.0.29
	#pyaes                     1.6.1
	#pyinstaller               4.10
	#pyinstaller-hooks-contrib 2022.3
	#python-ilorest-library    4.0.0.0
	#pyudev                    0.23.2
	#setuptools                58.1.0
	#six                       1.16.0
	#tabulate                  0.8.9
	#urllib3                   1.26.9
	#wcwidth                   0.2.5
	#wheel                     0.37.1


	tar xfz $(SRCROOT)/packaging/ext/setuptools-58.1.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /setuptools-58.1.0 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/pyinstaller-hooks-contrib-2022.3.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyinstaller-hooks-contrib-2022.3 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/altgraph-0.17.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /altgraph-0.17.2 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/wheel-0.37.1.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /wheel-0.37.1 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/jsonpointer-2.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpointer-2.2 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/six-1.16.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /six-1.16.0 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/ply-3.11.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /ply-3.11 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/decorator-5.1.1.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /decorator-5.1.1 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/jsonpatch-1.32.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpatch-1.32 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/jsonpath-rw-1.4.0.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsonpath-rw-1.4.0 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/pyudev-0.23.2.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyudev-0.23.2 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/jsondiff-1.3.1.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /jsondiff-1.3.1 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/pyaes-1.6.1.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /pyaes-1.6.1 && /usr/local/python3.8/bin/python3.8 setup.py install'
	tar xfz $(SRCROOT)/packaging/ext/urllib3-1.26.9.tar.gz -C $(DEBCHROOTD)
	$(CHROOT) $(DEBCHROOTD) bash -c 'cd /urllib3-1.26.9 && /usr/local/python3.8/bin/python3.8 setup.py install'

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,12 @@
 setproctitle >= 1.1.8; platform_system == "Linux"
 jsondiff >= 1.2.0
 tabulate >= 0.8.7
-prompt_toolkit >= 3.0.10
+prompt_toolkit
 certifi >= 2020.12.5
-pywin32 >= 300; platform_system == "Windows"
+pywin32; platform_system == "Windows"
+pypiwin32; python_version <= '2.7.19'
 wcwidth >= 0.2.5
+enum; python_version <= '2.7.19'
+pre-commit
+future
+futures; python_version <= '2.7.19'

=== debian/changelog ===
ilorest (5.2.0.0-7) unstable; urgency=medium

  * Removed runtime depends on python3-setuptools (Closes: #1094413).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2025 09:09:55 +0100

ilorest (5.2.0.0-6) unstable; urgency=medium

  * Add fix-syntax-warning.patch (Closes: #1091466).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jan 2025 10:04:29 +0100

ilorest (5.2.0.0-5) unstable; urgency=medium

  * Really desactivate p3.13-fix-syntax-warning.patch (Closes: #1091466).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 11:27:55 +0100

ilorest (5.2.0.0-4) unstable; urgency=medium

  * Deactivate p3.13-fix-syntax-warning.patch that's causing package to not be
    installable (Closes: #1091466).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 10:20:14 +0100

ilorest (5.2.0.0-3) unstable; urgency=medium

  * Fixed d/watch to use mode=git and add pre-pending "v" char.
  * Add remove-intersphinx-from-doc.patch (Closes: #1090100).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Dec 2024 13:42:07 +0100

ilorest (5.2.0.0-2) unstable; urgency=medium

  * Add p3.13-fix-syntax-warning.patch (Closes: #1085642).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Dec 2024 14:58:06 +0100

ilorest (5.2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * (build-)depends on python3-ilorest >= 5.2.0.0.
  * Removed versions when satisfied in stable.
  * Rebased add-setup.py.patch.
  * Rebased fix-rdmc.py.patch.
  * Removed patches applied upstream:
    - fix-import-path.patch
    - pyproject.toml-add-triple-quotes-at-end-of-file.patch
  * Do not rm -f ilorest anymore: that's a folder now.
  * Add fix-py3-syntax-errors.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 14:23:12 +0200

=== debian/control ===
--- 
+++ 
@@ -17,21 +17,21 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-certifi (>= 2020.6.20),
- python3-colorama (>= 0.3.9),
+ python3-certifi,
+ python3-colorama,
  python3-decorator,
- python3-ilorest (>= 3.6.0.0),
+ python3-ilorest (>= 5.2.0.0),
  python3-json-pointer,
- python3-jsondiff (>= 1.2.0),
- python3-jsonpatch (>= 1.28),
+ python3-jsondiff,
+ python3-jsonpatch,
  python3-jsonpath-rw,
  python3-ply,
- python3-prompt-toolkit (>= 2.0.8),
+ python3-prompt-toolkit,
  python3-setproctitle,
  python3-six,
  python3-tabulate,
  python3-urllib3,
- python3-wcwidth (>= 0.2.5),
+ python3-wcwidth,
  yui-compressor,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ilorest
@@ -41,24 +41,23 @@
 Package: ilorest
 Architecture: all
 Depends:
- python3-certifi (>= 2020.6.20),
- python3-colorama (>= 0.3.9),
+ python3-certifi,
+ python3-colorama,
  python3-decorator,
- python3-ilorest (>= 3.6.0.0),
+ python3-ilorest (>= 5.2.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
  python3-jsonpath-rw,
  python3-pbr,
  python3-ply,
- python3-prompt-toolkit (>= 2.0.8),
+ python3-prompt-toolkit,
  python3-pyudev,
  python3-setproctitle,
- python3-setuptools,
  python3-six,
  python3-tabulate,
  python3-urllib3,
- python3-wcwidth (>= 0.2.5),
+ python3-wcwidth,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/,dversionmangle=s/\+ds\d+$//" \
https://github.com/HewlettPackard/python-redfish-utility .*/v(\d[brc\d\.]+)\.tar\.gz

## ilorest 7.0.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 setproctitle >= 1.1.8; platform_system == "Linux"
 jsondiff >= 1.2.0
 tabulate >= 0.8.7
+requests >= 2.32.3
 prompt_toolkit
 certifi >= 2020.12.5
 pywin32; platform_system == "Windows"

=== debian/changelog ===
ilorest (7.0.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed use-correct-imgmath-sphinx-ext.patch.
  * Rebased add-setup.py.patch.
  * Removed fix-rdmc.py.patch.
  * Removed fix-py3-syntax-errors.patch.
  * Removed remove-intersphinx-from-doc.patch.
  * Removed fix-syntax-warning.patch.
  * Killed the embedded doc, as it's gone from upstream source.
  * Add fix-cannot-login-without-chif.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 15:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,11 @@
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
  python3-certifi,
  python3-colorama,
  python3-decorator,
- python3-ilorest (>= 5.2.0.0),
+ python3-ilorest (>= 7.0.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
@@ -44,7 +43,7 @@
  python3-certifi,
  python3-colorama,
  python3-decorator,
- python3-ilorest (>= 5.2.0.0),
+ python3-ilorest (>= 7.0.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
@@ -60,7 +59,6 @@
  python3-wcwidth,
  ${misc:Depends},
  ${python3:Depends},
- ${sphinxdoc:Depends},
 Description: cli for managing servers over the Redfish API
  The Redfish Utility is a command line interface that allows one to manage
  servers that take advantage of Redfish APIs. In addition to using the utility

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3,sphinxdoc
+	dh $@ --with python3
 
 override_dh_auto_clean:
-	rm -f ilorest
 	rm -rf build .stestr doc/build build $(CURDIR)/ilorest/config/__init__.py *.egg-info
-	cp debian/_imagesloaded.min.js docs/slate/source/javascripts/lib
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -30,10 +28,3 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
-override_dh_sphinxdoc:
-ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	yui-compressor $(CURDIR)/debian/imagesloaded.js -o $(CURDIR)/docs/slate/source/javascripts/lib/_imagesloaded.min.js
-	PYTHONPATH=. python3 -m sphinx -b html docs/sphinx $(CURDIR)/debian/ilorest/usr/share/doc/ilorest/html
-	dh_sphinxdoc
-endif
